<id>
Report to Moderator
</id>

<version>
1.3 SP update for SP 1.3.1 by Jake
</version>

<mod info>
Adds a link in every post to allow users to report the post to a moderator.

Don't forget to upload rtm.gif to your images dir and ReportToMod.pl to your sources dir!

The user can enter a comment and a message with:

- Comment
- Subject of post
- Poster
- Reply # in thread
- Reporter
- Link to posting
- Link to the profile of poster and reporter

will be sent to every moderator of the corresponding board. Now sends to global mods/admins if there are no moderators.

History:
1.3 SP: text format improved in confirmation screen
1.3 SP: updated ReportToMod.pl (no boardmod changes) to correctly handle users with display names different from user names

1.2 SP: added some settings to 'Forum Preferences and Settings', under 'Send Mails using'. See the readme file for more info.
1.2 SP: reporting on guest posts fixed. previously when reporting on guest posts guest name and email was not sent in email.

1.1 SP: nicer confirmation display thanks to Gekko. Slight code changes to links.

1.0 SP: better support for boards without moderators added. if there are no moderators, the script sends emails to global mods (if there are any) or admins automatically.

0.7 SP: allows for bigger comments (text area instead of normal input)
0.7 SP: bug when sending emails fixed (sent two emails to moderators now only sends one)
0.7 SP: confirmation added prior to submitting comment
0.7 SP: confirmation screen added (after reports sent out to moderators)
0.7 SP: location of 'Report' link changed to top right of posts
0.7 SP: 'Report' link given an icon
0.7 SP: subs now located in seperate file -> ReportToMod.pl

0.6 SP: made compatible with Service Pack (Jalapeno)
0.6: Bugs fixed (thanks to Lost!)

0.5: First release
</mod info>

<author>
Originally by cae. Enhanced by snYpir (morpj97@hn.ozemail.com.au).
</author>

<homepage>
http://boardmod.xnull.com/yabb/YaBB.pl?action=viewprofile&username=cae
</homepage>

<edit file>
english.lng
</edit file>

<search for>
1;
</search for>

<add before>


$rtm{'1a'} = "Report the post by";
$rtm{'1b'} = "to the moderators of";
$rtm{'2'} = "Report Post to Moderator";
$rtm{'3'} = "Enter your comment on the post by";
$rtm{'4'} = "below. It will be emailed (along with your details) to the moderators of";
$rtm{'4b'} = "If there are no moderators the comment will be emailed to the administrators.";
$rtm{'5'} = "Submit";
$rtm{'6'} = "Report Post to Moderator";
$rtm{'7'} = "Your report has been sent via email to the following";
$rtm{'8'} = "The following post has been reported by";
$rtm{'9'} = "Thread title";
$rtm{'10'} = "The offending post is number";
$rtm{'11'} = "in the thread";
$rtm{'12'} = "Member who made the offending post";
$rtm{'13'} = "Comment by reporting user";
$rtm{'14'} = "Link to thread";
$rtm{'15'} = "Link to profile of offending member";
$rtm{'16'} = "Link to profile of reporting member";
$rtm{'17'} = "Reported post";
$rtm{'18'} = "by";
$rtm{'19'} = "Your comment has been sent to no one!";
$rtm{'20'} = "A moderator has not been assigned for this board, and there are no global moderators or administrators for the forum!<br><br>Otherwise admin have invalid settings for the report to moderator mod specified in Forum Preferences and Settings.";
$rtm{'21'} = "Back...";
$rtm{'22'} = "Report";
$rtm{'23'} = "Moderators";
$rtm{'24'} = "Global Moderators";
$rtm{'25'} = "Administrators";
$rtm{'26'} = "is a Guest";
$rtm{'27'} = "and";
$rtm{'28a'} = "Use The Chain Of Command When Sending Reports To Moderators";
$rtm{'28b'} = "Default is <b>on</b>. Sends the report to moderators, global mods then admins (in that order) depending on who is available for a certain board.";
$rtm{'29a'} = "Always Send Reports To Moderators";
$rtm{'29b'} = "Default is <b>off</b>. When a report is emailed all moderators for the board will receive a copy.";
$rtm{'30a'} = "Always Send Reports To Global Moderators";
$rtm{'30b'} = "Default is <b>off</b>. When a report is emailed all global moderators will receive a copy.";
$rtm{'31a'} = "Always Send Reports To Administrators";
$rtm{'31b'} = "Default is <b>off</b>. When a report is emailed all administrators will receive a copy.";


</add before>

<edit file>
Sublist.pl
</edit file>

<search for>
	%director=(
</search for>

<add after>
	'reporttm',"ReportToMod.pl&ReportToModerator",
        'reporttm2',"ReportToMod.pl&ReportToModerator2",
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
~;
if ($mstate != 1)
{
$yymain .= qq~
</search for>

<add after>
                <a href="$cgi&action=reporttm&thread=$viewnum&id=$counter&subject=$msub&poster=$mname&username=$musername&email=$memail"><img src="$imagesdir/rtm.gif" alt="$rtm{'22'}" border="0"> <font size="1" class="imgwindowbg">$rtm{'22'}</font></a>
                $menusep
</add after>

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
sub ModifySettings {
	&is_admin;
</search for>

<add after>
	my ($chainmail_chk,$rtmods_chk,$rtglobals_chk,$rtadmins_chk);
	if ( $chain_mail eq '' ) { $chain_mail = 1; }
</add after>

<search for>
	if ($maintenance) { $mainchecked = ' checked'; }
</search for>

<add after>
	if ($chain_mail) { $chainmail_chk = ' checked'; }
	if ($auto_rtmods) { $rtmods_chk = ' checked'; }
	if ($auto_rtglobals) { $rtglobals_chk = ' checked'; }
	if ($auto_rtadmins) { $rtadmins_chk = ' checked'; }
</add after>

<search for>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'404'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}">
    <select name="mailtype" size=1>
    <option value="0"$mts1>$txt{'405'}
    <option value="1"$mts2>$txt{'406'}
    <option value="2"$mts3>Net::SMTP
    </select></td>
  </tr><tr>
</search for>

<add after>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$rtm{'28a'}</font><br><font size=1>$rtm{'28b'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="chain_mail" $chainmail_chk></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$rtm{'29a'}</font><br><font size=1>$rtm{'29b'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="auto_rtmods" $rtmods_chk></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$rtm{'30a'}</font><br><font size=1>$rtm{'30b'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="auto_rtglobals" $rtglobals_chk></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$rtm{'31a'}</font><br><font size=1>$rtm{'31b'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="auto_rtadmins" $rtadmins_chk></td>
  </tr><tr>
</add after>

<search for>
	# Set as 0 or 1 if box was checked or not
</search for>

<add before>
	if ( $FORM{chain_mail} eq 'on' ) { $chain_mail = 1; } else { $chain_mail = 0; }
	if ( $FORM{auto_rtmods} eq 'on' ) { $auto_rtmods = 1; } else { $auto_rtmods = 0; }
	if ( $FORM{auto_rtglobals} eq 'on' ) { $auto_rtglobals = 1; } else { $auto_rtglobals = 0; }
	if ( $FORM{auto_rtadmins} eq 'on' ) { $auto_rtadmins = 1; } else { $auto_rtadmins = 0; }
</add before>

<search for>
\$mailtype = $mailtype;					# Mail program to use: 0 = sendmail, 1 = SMTP, 2 = Net::SMTP
</search for>

<add after>
\$chain_mail = $chain_mail;			# If true reports will be sent up the chain of command (moderators, globals then admins)
\$auto_rtmods = $auto_rtmods;			# If true reports will be always sent to moderators
\$auto_rtglobals = $auto_rtglobals;			# If true reports will always be sent to global mods
\$auto_rtadmins = $auto_rtadmins;			# If true reports will always be sent to administrators
</add after>